View Issue Details

IDProjectCategoryView StatusLast Update
0015617LazarusIDEpublic2011-12-01 11:23
Reporteruser268Assigned ToLuiz Americo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build23582 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015617: TImageList add only one image instead of all
DescriptionTImageList editor allows saving images to various of format. However, it will not allow adding all cutting it from picture accordint to current height and weight for one image.
TagsNo tags attached.
Fixed in Revision23619
LazTarget0.9.30
Widgetset
Attached Files

Activities

Dmitry Boyarintsev

2010-01-28 21:33

developer   ~0033981

It does allow, but only if the image's height is factor of width, i.e.
32*16 would be split into 2 images by 16x16 (if TImageList width and height is set to 16).
But this won't apply if the image size is 16*32.

Luiz Americo

2010-01-28 22:33

developer   ~0033984

@Sasa:
Do you expect what Dmitry explained or is something else?

user268

2010-01-29 05:49

  ~0033997

Last edited: 2010-01-29 07:18

In general yes. Picture is created with images in several rows (saved from Lazarus IDE as well is similar formed 1xN images instead Nx1 currently supported).

In this case, image size is 24x24 from Delphi, in this case there is 5x3 images in the picture. Thus adding from a picture should split in 15 of it according to current height and weight properties (24x24).

Also there is a problem in choosing/changing transparent color, but that will be in other bug report.

Luiz Americo

2010-01-29 16:38

developer   ~0034024

Please Test and Close if OK

user268

2010-01-29 20:26

  ~0034041

Sorry, I need to reopen the issue since two problems now exists:
 
 1. Now Nx1 and 1xN images will read (split dialog will show). However, it will not show split dialog if there is NxM images...
 
 2. Editor now cannot read/display BMP pictures. It can read/display PNG picture, but it will not display split dialog.
 
 I attached simple splitter I create briefly in Delphi with an example bitmap picture contain 6x5 images in size 24x24, which fail to add in Lazarus component...

Luiz Americo

2010-01-29 20:29

developer   ~0034043

Can you post one (or more) example(s) of the bitmap file(s) that you want to be imported?

2010-01-29 20:29

 

SZImageListSplit.zip (261,629 bytes)

user268

2010-01-29 20:32

  ~0034044

Just uploaded source with executable and example bitmap.
(Quite bad internet connection...)

Luiz Americo

2010-02-03 21:01

developer   ~0034203

@Sasa:

Can you test revision 23619?

user268

2010-02-03 23:17

  ~0034206

Splitting works fine now.

Few problems:

1. If algorithm cannot find transparent color from picture, it will set black. That will influence on transparent color of cutted image - Fuchsia in it will thread as normal icon color (there will be no transparent space around icon/image as expected). Please disregard the search of transparent color in picture and force that which is chosen in editor.

2. If algorithm decide that given size of the image is not compatible it will add only one image with no question ask. Please disregard that check and force splitting as requested.

When splitted:

1. It will be very useful to allow to select group/individual images to change transparent color (in case there is already imported with wrong transparent color).

2. Change bitton text 'Clean' with 'Delete all'

3. When 'Save all', save it also in groups into rectangle (closes to square) of M x N images (according to image size and total number of it).

Luiz Americo

2010-02-04 00:10

developer   ~0034209

> 1. If algorithm cannot find transparent color from picture, it will set black. That will influence on transparent color of cutted image - Fuchsia in it will thread as normal icon color (there will be no transparent space around icon/image as expected). Please disregard the search of transparent color in picture and force that which is chosen in editor.

It's not possible to set the color previous to loading a file. You can set only after loading.

If you want this feature please add a specific bugreport

> 2. If algorithm decide that given size of the image is not compatible it will add only one image with no question ask. Please disregard that check and force splitting as requested.

It's debatable what's the correct behavior here. I'll take a look what Delphi does and match it.

> 1. It will be very useful to allow to select group/individual images to change transparent color (in case there is already imported with wrong transparent color).

> 2. Change bitton text 'Clean' with 'Delete all'

> 3. When 'Save all', save it also in groups into rectangle (closes to square) of M x N images (according to image size and total number of it).

Please add an specific bug report to these issues

Issue History

Date Modified Username Field Change
2010-01-28 21:22 user268 New Issue
2010-01-28 21:33 Dmitry Boyarintsev Note Added: 0033981
2010-01-28 22:33 Luiz Americo Note Added: 0033984
2010-01-29 02:31 Paul Ishenin LazTarget => -
2010-01-29 02:31 Paul Ishenin Status new => feedback
2010-01-29 05:49 user268 Note Added: 0033997
2010-01-29 06:10 user268 Note Edited: 0033997
2010-01-29 06:11 user268 Note Edited: 0033997
2010-01-29 06:16 user268 Note Edited: 0033997
2010-01-29 06:16 user268 Note Edited: 0033997
2010-01-29 06:18 user268 Note Edited: 0033997
2010-01-29 07:18 user268 Note Edited: 0033997
2010-01-29 16:36 Luiz Americo Status feedback => assigned
2010-01-29 16:36 Luiz Americo Assigned To => Luiz Americo
2010-01-29 16:38 Luiz Americo Fixed in Revision => 23595
2010-01-29 16:38 Luiz Americo LazTarget - => 0.9.30
2010-01-29 16:38 Luiz Americo Status assigned => resolved
2010-01-29 16:38 Luiz Americo Fixed in Version => 0.9.29 (SVN)
2010-01-29 16:38 Luiz Americo Resolution open => fixed
2010-01-29 16:38 Luiz Americo Note Added: 0034024
2010-01-29 16:38 Luiz Americo Target Version => 0.9.30
2010-01-29 20:26 user268 Status resolved => assigned
2010-01-29 20:26 user268 Resolution fixed => reopened
2010-01-29 20:26 user268 Note Added: 0034041
2010-01-29 20:29 Luiz Americo Note Added: 0034043
2010-01-29 20:29 user268 File Added: SZImageListSplit.zip
2010-01-29 20:32 user268 Note Added: 0034044
2010-02-03 21:00 Luiz Americo Fixed in Revision 23595 => 23619
2010-02-03 21:01 Luiz Americo Status assigned => resolved
2010-02-03 21:01 Luiz Americo Resolution reopened => fixed
2010-02-03 21:01 Luiz Americo Note Added: 0034203
2010-02-03 23:17 user268 Note Added: 0034206
2010-02-04 00:10 Luiz Americo Note Added: 0034209
2011-12-01 11:23 Marc Weustink Status resolved => closed